.pt-o-game-fill-in-colour-audio {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  &__container {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

    & > .__paper {
      width: 64.2rem;
      height: 100%;
      margin: 0 auto;
      font-size: 2rem;
      line-height: 3.2rem;
      position: relative;

      &.--hidden {
        display: none;
      }
      .__pin.--right {
        display: none;
      }

      & > .__toggle {
        width: 1.6rem;
        height: 1.6rem;
        cursor: pointer;
        position: absolute;
        top: 1.8rem;
        right: 3.6rem;
        z-index: 2;
        transform: rotate(45deg);
        .rs-toggle {
          .rs-toggle-presentation {
            background: $salmon;
          }
        }

        .rs-toggle-checked {
          .rs-toggle-presentation {
            background: $kellyGreen;
          }
        }
      }

    }
  }
  &__left {
    width: 250px;
    max-width: 250px;
    height: 270px;
    max-height: 270px;
    border-radius: 14vh 0 0 14vh;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;

    & > .__player {
      width: 12.8rem;
      height: 12.8rem;
    }

    & > .__duration {
      color: $dodgerBlue;
      font-family: 'mont_sb';
      font-size: 2.8rem;
      line-height: 3.4rem;
      position: absolute;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
    }
  }

  &__right {
    position: relative;
    max-width: calc(100% - 255px);
    width: 100%;
    height: 100%;
    margin: 0 auto;
    background: $white;
    border-radius: 1.2rem;
    display: flex;
    flex-direction: column;
    font-family: 'mont_m';

    & > .__tapescript {
      min-width: 17.6rem;
      height: 4.6rem;
      background: linear-gradient($deepSkyBlue, $dodgerBlue);
      border-radius: 2.3rem;
      color: $white;
      font-family: 'mont_b';
      font-size: 1.8rem !important;
      position: absolute;
      bottom: 0;
      left: - 127.5px;
      transform: translateX(-50%);

      &:active {
        &::before {
          opacity: 1;
        }
      }

      &::before {
        width: 17.6rem;
        height: 4.6rem;
        background: $deepSkyBlue;
        border-radius: 2.3rem;
        color: $white;
        content: 'Tapescript';
        display: flex;
        align-items: center;
        justify-content: center;
        font-family: 'mont_b';
        font-size: 1.8rem;
        opacity: 0;
        pointer-events: none;
        position: absolute;
        top: 0;
        left: 0;
      }
    }


    & > .__header {
      padding: 1.6rem 3.2rem;
      background: linear-gradient($mayaBlue, $dodgerBlue);
      border-radius: 1.2rem 1.2rem 0 0;
      color: $white;
      font-family: 'mont_m';
      font-size: 1.8rem;
      line-height: 2.2rem;
      position: relative;
      text-align: center;
      max-height: 8.6rem;
      overflow: auto;
      &::-webkit-scrollbar {
        width: 7px;
        background-color: transparent;
      }
      &::-webkit-scrollbar-track {
        background-color: transparent;
        border-radius: 10px;
        margin-top: 1rem;
        margin-bottom: 1rem;
      }
      &::-webkit-scrollbar-thumb {
        background: rgba(0, 0, 0, 0.2);
        border-radius: 10px;
      }
    }

    & > .__content {
      padding: 1.2rem 0.6rem;
      flex: 1;
      position: relative;
      display: flex;
      justify-content: space-around;
      align-items: center;
      background-color: #d4f1ff;
      height: calc(100% - 8.6rem);
      -webkit-touch-callout: none;
      -webkit-user-select: none;
      -khtml-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      outline: 0;
      border-radius:0 0 1.2rem 1.2rem;

        .__temp_column, .__content_colour{
          width: 100px;
          height: 100%;
        }
        .__content_colour{
          background-color: white;
          border-radius: 8px;
          padding: 1.2rem 0.6rem 0 0.6rem;
          box-shadow: 2px 2px 6px  #b4c7e0;
          overflow: auto;

          &::-webkit-scrollbar {
            width: 3px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba(0, 0, 0, 0.2);
            border-radius: 10px;
          }
          .__colour_list{
            display: flex;
            flex-wrap: wrap;
            justify-content: space-around;
          }
          .__colour_item{
              cursor: pointer;
              height: 32px;
              width: 32px;
              border-radius: 50%;
              box-shadow: 0 0 0 1px #d4dde7;
              margin-bottom: 1rem;

              display: flex;
              justify-content: center;
              align-items: center;

              .icon-selected{
                height: 8px;
                width: auto;
                visibility: hidden;
              }
              
          }

          .__remove_colour_wrap{
            display: flex;
            justify-content: center;
            align-items: center;
            border-top: 2px solid #d4f1ff;
            padding: 2.8rem 0;
            width: 100%;
            // height: calc(100% - 252px);
          }
          .__remove_colour{
            height: 32px;
            width: 32px;
            cursor: pointer;
          }
        }
        .__content_image{
          width: calc(100% - 250px);
          height: 100%;
          background-color: white;
          display: flex;
          justify-content: center;
          align-items: center;
          border-radius: 8px;
          .wrap-image{
            max-height: 100%;
            position: relative;
            .image-instruction{ 
                max-width: 100%;
                max-height: 100%;
                object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              bottom: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
              z-index: 2;
            }
            .item-image{
                // cursor: pointer;
                position: relative;
                .item-image-content{
                  position: absolute;
                  height: 100%;
                  width: 100%;
                  top: 0;
                  left: 0;
                  z-index: 1;
                }
                
                &.--success{
                  .icon-success-image{
                    visibility: visible;
                  }
                  .icon-danger-image{
                    visibility: hidden;
                  }
                }
                &.--danger{
                  .icon-success-image{
                    visibility: hidden;
                  }
                  .icon-danger-image{
                    visibility: visible;
                  }
                }
            }
           }
        }
       
    }
  }
  .pt-o-block-paper {
    width: 100%;
    height: 100%;
    padding: 3.2rem 2.4rem 4.4rem;
    position: relative;

    &__container{
      & > div > div {
        &:nth-child(2){
          display: none;
        }
      }
    }
  }
}

@include screen-1024-landscape {
  .pt-o-game-fill-in-colour-audio {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
  
      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 2rem;
        line-height: 3.2rem;
        position: relative;
  
        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
  
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 3.6rem;
          z-index: 2;
          transform: rotate(45deg);
          .rs-toggle {
            .rs-toggle-presentation {
              background: $salmon;
            }
          }
  
          .rs-toggle-checked {
            .rs-toggle-presentation {
              background: $kellyGreen;
            }
          }
        }
  
      }
    }
    &__left {
      width: 200px;
      max-width: 200px;
      height: 220px;
      max-height: 220px;
        border-radius: 9rem 0 0 9rem;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        position: relative;
        flex-shrink: 0;
        margin: 0;
        & > .__player {
          width: 10.8rem;
          height: 10.8rem;
        }
  
        & > .__duration {
          color: $dodgerBlue;
          font-family: 'mont_sb';
          font-size: 2.6rem;
          line-height: 3.4rem;
          position: absolute;
          bottom: 0;
          left: 50%;
          transform: translateX(-50%);
        }
    }
  
    &__right {
      position: relative;
      max-width: calc(100% - 205px);
      width:calc(100% - 205px);
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';
  
      & > .__tapescript {
        min-width: 16.6rem;
        height: 4.6rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.6rem !important;
        position: absolute;
        bottom: 3.2rem;
        left: - 102.5px;
        transform: translateX(-50%);
        @media screen and (max-height: 600px) {
          bottom: 0;
        }
        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.6rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }
  
      & > .__header {
        padding: 1.6rem 3.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.8rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 8.6rem;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }
  
      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: space-around;
        height: calc(100% - 8.6rem);
         .wrap-image{
          position: relative;
          max-height: 100%;
          max-width: unset;
          object-fit: contain;
          .image-instruction{
            max-width: unset;
            max-height: 100%;
            object-fit: contain;
          }
          .icon-danger-image,
          .icon-success-image{
            height: 20px;
            width: 20px;
            position: absolute;
            top: -8px;
            left: 50%;
            transform: translateX(-50%);
            visibility: hidden;
          }
         }
         .__content_colour{
          overflow: hidden;
          .__colour_list{
            height: 80%;
            overflow: auto;
            padding-top: 1rem;
          }

          .__remove_colour_wrap{
            height: 20%;
            padding: 0;
          }
        }
      }
    }
  }
}

@media only screen and (min-width: 769px) and (max-width: 1024px) and (max-aspect-ratio:3999/3000) {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-fill-in-colour-audio {
    height: 100%;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: flex-start;
      flex-direction: column;
  
      & > .__paper {
        width: 100%;
        font-size: 1.6rem;
        line-height: 2.4rem;
  
        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
  
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 3.6rem;
          z-index: 2;
          transform: rotate(45deg);
          .rs-toggle {
            .rs-toggle-presentation {
              background: $salmon;
            }
          }
  
          .rs-toggle-checked {
            .rs-toggle-presentation {
              background: $kellyGreen;
            }
          }
        }
  
      }
    }
    &__left {
      width: 100%;
      height: 12rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: column;
      overflow: unset;
      justify-content: space-around;

      & > .__player {
        width: 4.8rem;
        height: 4.8rem;
        top: 0.6rem;
      }

      & > .__duration {
        position: relative;
        bottom: 0.6rem;
        transform: unset;
        left: unset;
        font-size: 1.8rem;
      }
    }
  
    &__right {
        width: 100%;
        max-width: calc(100% - 5vw);
        height: fit-content;
        & > .__tapescript {
          min-width: 16.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          font-family: 'mont_b';
          font-size: 1.4rem !important;
          top: -5.2rem;
          bottom: unset;
          left: 87%;
  
          &:active {
            &::before {
              opacity: 1;
            }
          }
  
          &::before {
            width: 11.6rem;
            height: 3.4rem;
            border-radius: 2.3rem;
            content: 'Tapescript';
            font-family: 'mont_b';
            font-size: 1.4rem;
            opacity: 0;
            top: 0;
            left: 0;
          }
        }
      & > .__header {
        padding: 1.6rem 3.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.8rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 8.6rem;
        overflow: auto;
      }
  
      & > .__content {
        padding: 2rem 2.6rem;
        flex: 1;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        height: calc(100% - 8.6rem);
        align-items: center;

        .__temp_column{
          display: none;
        }
        .__content_colour{
          height: 100px;
          width: 100%;
          display: flex;
          padding: 1rem 2rem;
          padding-right: 0;
          
          .__colour_list{
            flex: none;
            width: 60%;
            height: 100%;
            padding: 0 1rem;
            display: flex;
            flex-direction: column-reverse;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;

            .__colour_item{
              margin-bottom: auto;
              margin-top: auto;
            }
          }
          .__remove_colour_wrap{
            flex: none;
            width: 40%;
            height: 100%;
            border-top: none;
            border-left: 3px solid #d4f1ff;
          }
        }
        .__content_image{
          width: 100%;
          height: fit-content;
          margin-bottom: 3rem;

          .wrap-image{
            position: relative;
            object-fit: contain;
            .image-instruction{
              max-height: 100%;
              object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              top: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
            }
           }
        }
        
         
      }
    }
  
    }
}

@media only screen and (max-width: 768px) and (max-aspect-ratio:3999/3000) {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-fill-in-colour-audio {
    height: 100%;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: flex-start;
      flex-direction: column;
      overflow-y: auto;
  
      & > .__paper {
        width: 100%;
        font-size: 1.6rem;
        line-height: 2.4rem;

        .__pin.--left {
          top: 0.6rem;
        }
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 2rem;
        }
      }
    }
    &__left {
      width: 100%;
      height: 12rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: column;
      overflow: unset;
      justify-content: space-around;

      & > .__player {
        width: 4.8rem;
        height: 4.8rem;
        top: 0.6rem;
      }

      & > .__duration {
        position: relative;
        bottom: 0.6rem;
        transform: unset;
        left: unset;
        font-size: 1.8rem;
      }
    }
  
    &__right {
        width: 100%;
        max-width: calc(100% - 5vw);
        height: fit-content;
        & > .__tapescript {
          min-width: 16.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          font-family: 'mont_b';
          font-size: 1.4rem !important;
          top: -5.2rem;
          bottom: unset;
          left: 83%;
  
          &:active {
            &::before {
              opacity: 1;
            }
          }
  
          &::before {
            width: 11.6rem;
            height: 3.4rem;
            border-radius: 2.3rem;
            content: 'Tapescript';
            font-family: 'mont_b';
            font-size: 1.4rem;
            opacity: 0;
            top: 0;
            left: 0;
          }
        }
        & > .__header {
          padding: 1.6rem 3.2rem;
          background: linear-gradient($mayaBlue, $dodgerBlue);
          border-radius: 1.2rem 1.2rem 0 0;
          color: $white;
          font-family: 'mont_m';
          font-size: 1.4rem;
          line-height: 2.2rem;
          position: relative;
          text-align: center;
          max-height: 45%;
          overflow: auto;
          
        }
  
      & > .__content {
        padding: 2rem 2.6rem;
        flex: 1;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        height: calc(100% - 8.6rem);
        align-items: center;

        .__temp_column{
          display: none;
        }
        .__content_colour{
          height: 100px;
          width: 100%;
          display: flex;
          padding: 1rem;
          padding-right: 0;
          
          .__colour_list{
            flex: none;
            width: 60%;
            height: 100%;
            padding: 0 1rem;
            display: flex;
            flex-direction: column-reverse;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;

            .__colour_item{
              margin-bottom: auto;
              margin-top: auto;
            }
          }
          .__remove_colour_wrap{
            flex: none;
            width: 40%;
            height: 100%;
            border-top: none;
            border-left: 3px solid #d4f1ff;
          }
        }
        .__content_image{
          width: 100%;
          height: fit-content;
          margin-bottom: 3rem;

          .wrap-image{
            position: relative;
            object-fit: contain;
            .image-instruction{
              max-height: 100%;
              object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              top: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
            }
           }
        }
        
         
      }
    }
  
    }
}

@include screen-mobile-portrait {
  body#practice-test button {
    font-size: 1.2rem;
  }
  .pt-o-game-fill-in-colour-audio {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: flex-start;
      overflow-y: auto;
  
      & > .__paper {
        width: 100%;
        height: 100%;
        margin: 0 auto;
        font-size: 1.6rem;
        line-height: 2.2rem;
        position: relative;
  
        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
  
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 3.6rem;
          z-index: 2;
          transform: rotate(45deg);
          .rs-toggle {
            .rs-toggle-presentation {
              background: $salmon;
            }
          }
  
          .rs-toggle-checked {
            .rs-toggle-presentation {
              background: $kellyGreen;
            }
          }
        }
  
      }
    }
    &__left {
      width: 100%;
      height: 6rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: row;
      overflow: unset;
      justify-content: center;
      padding-top: 0.6rem;
  
      & > .__player {
        width: 3rem;
        height: 3rem;
        top: unset;
        position: relative;

        .pt-m-audio-player__play,
        .pt-m-audio-player__pause {
          width: 1.4rem !important;
          height: 2.3rem !important;
        }
      }

      & > .__duration {
        position: relative;
        bottom: 0;
        transform: unset;
        left: unset;
        font-size: 1.4rem;
        margin-left: 0.5rem;
      }
    }
  
    &__right {
      position: relative;
      max-width: 100%;
      width: 100%;
      height: fit-content;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';
  
      & > .__tapescript {
        min-width: 8.6rem;
        height: 3rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.2rem !important;
        top: -4rem;
        bottom: unset;
        left: 82%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.2rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }
  
      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 6rem;
        overflow: auto;
      }
  
      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        height: calc(100% - 8.6rem);
        align-items: center;

        .__temp_column{
          display: none;
        }
        .__content_colour{
          height: 85px;
          width: 100%;
          display: flex;
          padding: 0;
          padding-right: 0;
          padding-left: 0.6rem;
          
          .__colour_list{
            flex: none;
            width: 80%;
            height: 100%;
            padding: 0.6rem 0;
            padding-right: 0.6rem;
            display: flex;
            flex-direction: column-reverse;
            flex-wrap: wrap;
            justify-content: space-evenly;
            align-items: center;
            overflow-x: scroll;
            .__colour_item{
              margin-bottom: 0;
              margin-top: 0;
              height: 26px;
              width: 26px;
              margin-left: 4px;
              margin-right: 4px;
            }
          }
          .__remove_colour_wrap{
            flex: none;
            width: 20%;
            height: 100%;
            border-top: none;
            border-left: 2px solid #d4f1ff;
          }
        }
        .__content_image{
          width: 100%;
          height: fit-content;
          margin-bottom: 1.6rem;

          .wrap-image{
            position: relative;
            object-fit: contain;
            .image-instruction{
              max-height: 100%;
              object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              top: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
            }
           }
        }
        
         
      }
    }
  }
}

@include screen-960-landscape {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-fill-in-colour-audio {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
  
      & > .__paper {
        width: 100%;
        height: 100%;
        margin: 0 auto;
        font-size: 1.6rem;
        line-height: 3.2rem;
        position: relative;
  
        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
  
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 3.6rem;
          z-index: 2;
          transform: rotate(45deg);
          .rs-toggle {
            .rs-toggle-presentation {
              background: $salmon;
            }
          }
  
          .rs-toggle-checked {
            .rs-toggle-presentation {
              background: $kellyGreen;
            }
          }
        }
  
      }
    }
    &__left {
      width: 130px;
      max-width: 130px;
      height: 180px;
      max-height: 180px;
      border-radius: 9rem 0 0 9rem;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;
      margin-top: -6rem;
  
      & > .__player {
        width: 8.4rem;
        height: 8.4rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 1.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
      }
    }
  
    &__right {
      position: relative;
      max-width: 100%;
      width: 100%;
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';
  
      & > .__tapescript {
        min-width: 12rem;
        height: 4rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.2rem !important;
        position: absolute;
        bottom: 0.2rem;
        left: - 65px;
        transform: translateX(-50%);

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.6rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }
  
      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.6rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 8.6rem;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }
  
      & > .__content {
        padding: 0.6rem 1rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: space-around;
        height: calc(100% - 8.6rem);
        .__content_image{
          width: calc(100% - 240px);

          .wrap-image{
            position: relative;
            .image-instruction{
              max-height: 100%;
              object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              top: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
            }
           }
        }
        .__content_colour{
          overflow: hidden;
          padding: 1.2rem 0rem 0 0.6rem;
          .__colour_list{
            height: calc(100% - 42px);
            overflow: auto;
            padding-top: 1rem;
            justify-content: space-evenly;
            padding-right: 0.6rem;
          }

          .__remove_colour_wrap{
            height: 42px;
            padding: 0;
          }
        }
         
      }
    }
  }
  .pt-o-block-paper {
    width: 100%;
    height: 100%;
    padding: 2.6rem 1.6rem 2.6rem 1.6rem;
    position: relative;
  }
}

@include screen-768-landscape{
  body#practice-test button{
    font-size: 1.2rem;
  }
  .pt-o-game-fill-in-colour-audio {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
  
      & > .__paper {
        width: 100%;
        height: 100%;
        margin: 0 auto;
        font-size: 1.4rem;
        line-height: 2.4rem;
        position: relative;
  
        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
  
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 3.6rem;
          z-index: 2;
          transform: rotate(45deg);
          .rs-toggle {
            .rs-toggle-presentation {
              background: $salmon;
            }
          }
  
          .rs-toggle-checked {
            .rs-toggle-presentation {
              background: $kellyGreen;
            }
          }
        }
  
      }
    }
    &__left {
      width: 120px;
      max-width: 120px;
      height: 130px;
      max-height: 130px;
      border-radius: 14vh 0 0 14vh;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;
  
      & > .__player {
        width: 4rem;
        height: 4rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 1.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0.6rem;
        left: 50%;
        transform: translateX(-50%);
      }
    }
  
    &__right {
      position: relative;
      max-width: calc(100% - 120px);
      width: 100%;
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';
  
      & > .__tapescript {
        min-width: 7.6rem;
        height: 3rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.4rem !important;
        position: absolute;
        bottom: 0;
        left: - 60px;
        transform: translateX(-50%);

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.4rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }
  
      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 5.6rem;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }
  
      & > .__content {
        padding: 0.5rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: space-around;
        height: calc(100% - 5.6rem);
        .__temp_column{
          width: 89px;
        }
        .__content_colour{
          width: 89px;
          .__colour_item{
            height: 26px;
            width: 26px;
          }

          .__remove_colour{
            height: 26px;
            width: 26px;
          }
        }
        .__content_image{
          width: calc(100% - 220px);
          .wrap-image{
            position: relative;
            max-height: 100%;
            object-fit: contain;
            max-width: unset; 
            .image-instruction{
              max-height: 100%;
              max-width: 100%;
              object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              top: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
            }
           }
        }
         
      }
    }
  }
  .pt-o-block-paper {
    width: 100%;
    height: 100%;
    padding: 2.6rem 1.6rem 2.6rem 1.6rem;
    position: relative;
  }
}